| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper Class Referencefinal

Wraps a nkGraphics::BoundingBox and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static void * | constructor (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | newCube (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | newBox (const nkScripts::DataStack &stack)
static void | destructor (void *toDestroy)
static nkScripts::OutputValue | getCenter (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | checkAgainst (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::BoundingBox and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ constructor()

static void* nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper::constructor | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the constructor of the user type.

local t = nkGraphics.BoundingBox.new() ;

Parameters

  stack | The parameter stack.

Returns
  An output value with the user type and data allocated.

## ◆ newCube()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper::newCube | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the constructor of the user type. Will map to the constructor resulting in a cube.

local t = nkGraphics.BoundingBox.newCube(center, halfSide) ;

Parameters

  stack | The parameter stack.

Returns
  An output value with the user type and data allocated.

## ◆ newBox()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper::newBox | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the constructor of the user type. Will map to the constructor resulting in a box.

local t = nkGraphics.BoundingBox.newBox(center, axisAlignedHalfSide) ;

Parameters

  stack | The parameter stack.

Returns
  An output value with the user type and data allocated.

## ◆ destructor()

static void nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper::destructor | ( | void * | toDestroy | ) |
| static

Wrapper function for the destructor of the user type.

Parameters

  toDestroy | The data that has to be freed.

## ◆ getCenter()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper::getCenter | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::BoundingBox::getCenter().

local c = b:getCenter() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Vector.

## ◆ checkAgainst()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::BoundingBoxWrapper::checkAgainst | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::BoundingBox::checkAgainst().

local t = b:checkAgainst(f) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a bool.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Bounds/BoundingBoxWrapper.h